Subject: Re: bug#11182: 24.0.93; In *shell* buffer, '?' can't be inserted after TAB.

From: Kenichi Handa <[email-masked]>
Date: Fri, 06 Apr 2012 09:17:37 +0900

In article <[email-masked]>, Stefan Monnier <[email-masked]> writes:

> > This is with the latest trunk emacs.
> > In *shell* buffer, if I have files temp1, temp2, temp.txt,
> > and type as this (<TAB> means the TAB key):

> >     % rm temp<TAB>

> > *Completions* buffer pops up and lists temp1, temp2, temp.txt.
> > But after that, when I type '?' key, ? is not inserted in the buffer
> > because C-h c ? tells that it runs completion-help-at-point.  This is
> > very annoying.  What I want to do is to delete only temp1 and temp2 by
> > typing "rm temp?".

> It's not a bug it's a feature.
> You can use `C-q ?' of course.

Ah, that's what "the standard completion UI" in NEWS means.
Ummm, I don't like it.  What annoys me most is that it's
very difficult to find when '?' is bound to
completion-help-at-point.  Are there any easy way to
customize Emacs not to bind '?' to completion-help-at-point?

---
Kenichi Handa
[email-masked]